IOSS 2.0

Classes | Typedefs | Functions | Variables
Ioad Namespace Reference

A namespace for the adios database format. More...

## Classes
class | AdiosWrapper
class | DatabaseIO
class | Initializer
| Initialization of the adios database parts of the Ioss library. More...
class | IOFactory

## Typedefs
template<typename T >
using | DerivedFromIossGroupingEntity = typename std::enable_if< std::is_base_of< Ioss::GroupingEntity, T >::value, bool >::type
template<typename T >
using | IossHas3ParametersConstructor = decltype(DerivedFromIossGroupingEntity< T >{}, T(nullptr, std::string{}, int64_t{}))
template<typename T >
using | IossHas4ParametersConstructor = decltype(DerivedFromIossGroupingEntity< T >{}, T(nullptr, std::string{}, std::string{}, int64_t{}))

## Functions
template<>
int64_t | DatabaseIO::write_meta_data_container< Ioss::CommSetContainer > (const Ioss::CommSetContainer &entity_blocks)
template<>
int64_t | DatabaseIO::write_meta_data_container< Ioss::SideSetContainer > (const Ioss::SideSetContainer &ssets)
template<>
int64_t | DatabaseIO::write_meta_data_container< Ioss::CoordinateFrameContainer > (const Ioss::CoordinateFrameContainer &coordinate_frames)
template<>
void | DatabaseIO::define_entity_meta_variables< Ioss::SideBlock > (const std::string &encoded_name)
template<>
int64_t | DatabaseIO::get_entities< Ioss::NodeBlock > (const FieldsMapType &fields_map, const FieldsMapType &properties_map)
template<>
int64_t | DatabaseIO::get_entities< Ioss::SideSet > (const FieldsMapType &fields_map, const FieldsMapType &properties_map)
template<>
int64_t | DatabaseIO::get_entities< Ioss::CommSet > (const FieldsMapType &fields_map, const FieldsMapType &properties_map)
int | find_field_in_mapset (const std::string &entity_type, const std::string &field_name, const std::map< std::string, std::set< std::string >> &mapset)
std::string | get_property_variable_name (const std::string &property_name)
std::vector< std::string > | properties_to_save (const Ioss::GroupingEntity *const entity_block)
std::string | stringify_side_block_names (const Ioss::SideBlockContainer &sblocks)
std::string | encode_field_name (std::vector< std::string > names)
std::string | encode_sideblock_name (const std::string &type_string, const std::string &name)
bool | is_sideblock_name (const std::string &name)
bool | use_transformed_storage (const Ioss::Field &field, const std::string &entity_type, const std::string &field_name)
template<typename T >
auto | NewEntity (Ioss::DatabaseIO *io_database, const std::string &my_name, const std::string &, size_t entity_count) -> IossHas3ParametersConstructor< T > *
template<typename T >
constexpr Ioss::Field::BasicType | template_to_basic_type () noexcept
template<typename T >
constexpr const char * | get_entity_type () noexcept
template<class T >
std::string | GetType () noexcept

## Variables
const std::string | Schema_version_string = "IOSS_adios_version"
const std::string | Sideblock_separator = "::"
const std::string | Name_separator = "/"
const std::string | Role_meta = "role"
const std::string | Var_type_meta = "var_type"
const std::string | Topology_meta = "topology"
const std::string | property_meta = "property_"
const std::string | Parent_topology_meta = "parent_topology"
const std::string | Time_scale_factor = "time_scale_factor"
const std::string | Time_meta = "time"
const std::string | Processor_id_meta = "processor_id"
const std::string | Processor_number_meta = "processor_number"
const std::string | globals_entity_type = "globals"
const std::string | globals_entity_name = ""
const std::string | region_name = "no_name"
const std::string | original_name = "original_name"
constexpr const char * | sideblock_names = "sideblock_names"
const std::string | coordinate_frame_name = "CoordinateFrame"
const std::map< std::string, std::set< std::string > > | Use_transformed_storage_map
const std::map< std::string, std::set< std::string > > | Ignore_fields
const std::vector< std::string > | Ignore_properties

## Detailed Description

A namespace for the adios database format.

## Typedef Documentation

## ◆ DerivedFromIossGroupingEntity

template<typename T >

using Ioad::DerivedFromIossGroupingEntity = typedef typename std::enable_if<std::is_base_of<Ioss::GroupingEntity, T>::value, bool>::type

## ◆ IossHas3ParametersConstructor

template<typename T >

using Ioad::IossHas3ParametersConstructor = typedef decltype(DerivedFromIossGroupingEntity<T>{}, T(nullptr, std::string{}, int64_t{}))

## ◆ IossHas4ParametersConstructor

template<typename T >

using Ioad::IossHas4ParametersConstructor = typedef decltype( DerivedFromIossGroupingEntity<T>{}, T(nullptr, std::string{}, std::string{}, int64_t{}))

## Function Documentation

## ◆ DatabaseIO::define_entity_meta_variables< Ioss::SideBlock >()

template<>

void Ioad::DatabaseIO::define_entity_meta_variables< Ioss::SideBlock > | ( | const std::string & | encoded_name | ) |

## ◆ DatabaseIO::get_entities< Ioss::CommSet >()

template<>

int64_t Ioad::DatabaseIO::get_entities< Ioss::CommSet > | ( | const FieldsMapType & | fields_map,
|  | const FieldsMapType & | properties_map
| ) |  |

## ◆ DatabaseIO::get_entities< Ioss::NodeBlock >()

template<>

int64_t Ioad::DatabaseIO::get_entities< Ioss::NodeBlock > | ( | const FieldsMapType & | fields_map,
|  | const FieldsMapType & | properties_map
| ) |  |

## ◆ DatabaseIO::get_entities< Ioss::SideSet >()

template<>

int64_t Ioad::DatabaseIO::get_entities< Ioss::SideSet > | ( | const FieldsMapType & | fields_map,
|  | const FieldsMapType & | properties_map
| ) |  |

## ◆ DatabaseIO::write_meta_data_container< Ioss::CommSetContainer >()

template<>

int64_t Ioad::DatabaseIO::write_meta_data_container< Ioss::CommSetContainer > | ( | const Ioss::CommSetContainer & | entity_blocks | ) |

## ◆ DatabaseIO::write_meta_data_container< Ioss::CoordinateFrameContainer >()

template<>

int64_t Ioad::DatabaseIO::write_meta_data_container< Ioss::CoordinateFrameContainer > | ( | const Ioss::CoordinateFrameContainer & | coordinate_frames | ) |

## ◆ DatabaseIO::write_meta_data_container< Ioss::SideSetContainer >()

template<>

int64_t Ioad::DatabaseIO::write_meta_data_container< Ioss::SideSetContainer > | ( | const Ioss::SideSetContainer & | ssets | ) |

## ◆ encode_field_name()

std::string Ioad::encode_field_name | ( | std::vector< std::string > | names | ) |

## ◆ encode_sideblock_name()

std::string Ioad::encode_sideblock_name | ( | const std::string & | type_string,
|  | const std::string & | name
| ) |  |

## ◆ find_field_in_mapset()

int Ioad::find_field_in_mapset | ( | const std::string & | entity_type,
|  | const std::string & | field_name,
|  | const std::map< std::string, std::set< std::string >> & | mapset
| ) |  |

## ◆ get_entity_type()

template<typename T >

constexpr const char* Ioad::get_entity_type | ( |  | ) |
| constexprnoexcept

## ◆ get_property_variable_name()

std::string Ioad::get_property_variable_name | ( | const std::string & | property_name | ) |

## ◆ GetType()

template<class T >

std::string Ioad::GetType | ( |  | ) |
| inlinenoexcept

## ◆ is_sideblock_name()

bool Ioad::is_sideblock_name | ( | const std::string & | name | ) |

## ◆ NewEntity()

template<typename T >

auto Ioad::NewEntity | ( | Ioss::DatabaseIO * | io_database,
|  | const std::string & | my_name,
|  | const std::string & | entity_type,
|  | size_t | entity_count
| ) |  | -> IossHas3ParametersConstructor<T> *

## ◆ properties_to_save()

std::vector< std::string > Ioad::properties_to_save | ( | const Ioss::GroupingEntity *const | entity_block | ) |

## ◆ stringify_side_block_names()

std::string Ioad::stringify_side_block_names | ( | const Ioss::SideBlockContainer & | sblocks | ) |

## ◆ template_to_basic_type()

template<typename T >

constexpr Ioss::Field::BasicType Ioad::template_to_basic_type | ( |  | ) |
| constexprnoexcept

## ◆ use_transformed_storage()

bool Ioad::use_transformed_storage | ( | const Ioss::Field & | field,
|  | const std::string & | entity_type,
|  | const std::string & | field_name
| ) |  |

## Variable Documentation

## ◆ coordinate_frame_name

const std::string Ioad::coordinate_frame_name = "CoordinateFrame"

## ◆ globals_entity_name

const std::string Ioad::globals_entity_name = ""

## ◆ globals_entity_type

const std::string Ioad::globals_entity_type = "globals"

## ◆ Ignore_fields

const std::map<std::string, std::set<std::string> > Ioad::Ignore_fields

Initial value:
= {
{"NodeBlock",
{"connectivity", "connectivity_raw", "node_connectivity_status", "implicit_ids",
"mesh_model_coordinates_x", "mesh_model_coordinates_y", "mesh_model_coordinates_z"}},
{"ElementBlock", {"implicit_ids"}},
{"FaceBlock", {"connectivity_raw"}},
{"EdgeBlock", {"connectivity_raw"}},
{"CommSet", {"ids"}},
{"SideSet", {"ids"}},
{"SideBlock", {"side_ids", "ids", "connectivity", "connectivity_raw"}}}

## ◆ Ignore_properties

const std::vector<std::string> Ioad::Ignore_properties

Initial value:
= {{
"name",
"_base_stk_part_name", "db_name",
"streaming_status", "streaming",
"entity_count"
}}

## ◆ Name_separator

const std::string Ioad::Name_separator = "/"

## ◆ original_name

const std::string Ioad::original_name = "original_name"

## ◆ Parent_topology_meta

const std::string Ioad::Parent_topology_meta = "parent_topology"

## ◆ Processor_id_meta

const std::string Ioad::Processor_id_meta = "processor_id"

## ◆ Processor_number_meta

const std::string Ioad::Processor_number_meta = "processor_number"

## ◆ property_meta

const std::string Ioad::property_meta = "property_"

## ◆ region_name

const std::string Ioad::region_name = "no_name"

## ◆ Role_meta

const std::string Ioad::Role_meta = "role"

## ◆ Schema_version_string

const std::string Ioad::Schema_version_string = "IOSS_adios_version"

## ◆ sideblock_names

constexpr const char* Ioad::sideblock_names = "sideblock_names"
| constexpr

## ◆ Sideblock_separator

const std::string Ioad::Sideblock_separator = "::"

## ◆ Time_meta

const std::string Ioad::Time_meta = "time"

## ◆ Time_scale_factor

const std::string Ioad::Time_scale_factor = "time_scale_factor"

## ◆ Topology_meta

const std::string Ioad::Topology_meta = "topology"

## ◆ Use_transformed_storage_map

const std::map<std::string, std::set<std::string> > Ioad::Use_transformed_storage_map

Initial value:
= {
{"ElementBlock", {"connectivity_edge", "connectivity_face"}},
{"FaceBlock", {"connectivity_edge"}}}

## ◆ Var_type_meta

const std::string Ioad::Var_type_meta = "var_type"